# Migration play
# vim:et ts=2 sw=2 sts=2 syntax=yaml filetype=yaml
---
- block:
  # Add tasks
  - name: Update MagickWand
    yum:
      name: ImageMagick-libs
      state: latest
      update_cache: True
    when:
      - ansible_distribution_major_version == '8'
  - name: Force-add imagick extension
    include_role: name=php/install-pecl-module
    vars:
      pecl_extensions:
        - imagick
      force_module_rebuild: True
    when:
      - ansible_distribution_major_version == '8'
  - name: Force-add imagick extension
    include_role: name=php/install-pecl-module
    vars:
      multiphp_base: "{{ apnscp_shared_root }}/php/multiphp"
      multiphp_php_prefix: "{{ multiphp_base }}/native/{{ php_version | regex_replace('([^\\.]+\\.[^\\.]+).*','\\1') }}"
      multiphp_build: true
      php_version: "{{ item }}"
      pecl_extensions:
        - imagick
      force_module_rebuild: True
    when:
      - ansible_distribution_major_version == '7'
    with_items:
      "{{ php_multiphp }}"
  - name: Update Passenger
    include_role: name=software/passenger
    vars:
      passenger_update: True
  tags: ['up']
